declare -A ZPLGM
ZPLGM[BIN_DIR]="$HOME/.config/dotfiles/zplugin/bin"
ZPLGM[HOME_DIR]="$HOME/.config/dotfiles/zplugin"

source $HOME/.config/dotfiles/zplugin/bin/zplugin.zsh

zplugin ice wait blockf atpull'zplugin creinstall -q .' silent
zplugin light zsh-users/zsh-completions

zplugin ice wait atload"_zsh_autosuggest_start" silent
zplugin light zsh-users/zsh-autosuggestions

zplugin ice pick"async.zsh" silent
zplugin light mafredri/zsh-async
zplugin ice pick"z4rr3t.zsh" silent
zplugin light inimicus/z4rr3t

# lib files
zplugin snippet OMZ::lib/clipboard.zsh
zplugin snippet OMZ::lib/completion.zsh
zplugin snippet OMZ::lib/directories.zsh
zplugin snippet OMZ::lib/functions.zsh
zplugin snippet OMZ::lib/grep.zsh
zplugin snippet OMZ::lib/key-bindings.zsh
zplugin snippet OMZ::lib/misc.zsh
zplugin snippet OMZ::lib/spectrum.zsh
zplugin snippet OMZ::lib/termsupport.zsh

alias ls="ls --color=tty"
setopt auto_cd
setopt multios
setopt prompt_subst

zplugin snippet OMZ::plugins/common-aliases/common-aliases.plugin.zsh
zplugin ice wait as"completion" silent
zplugin snippet OMZ::plugins/pip/_pip
zplugin snippet OMZ::plugins/pip/pip.plugin.zsh
zplugin snippet OMZ::plugins/python/python.plugin.zsh
zplugin snippet OMZ::plugins/gitignore/gitignore.plugin.zsh

# ls_colors
source $ZDOTDIR/dircolor.zsh
zstyle ":completion:*" list-colors “${(s.:.)LS_COLORS}

# syyntax highlighting
zplugin ice wait atinit"zpcompinit; zpcdreplay -q" silent
zplugin light zsh-users/zsh-syntax-highlighting

#has - program
zplugin ice as"program" pick"has" wait silent
zplugin light kdabir/has

#is - program
zplugin ice as"program" atclone"cp is.sh is" atpull"%atclone" pick"is" wait silent
zplugin light qzb/is.sh
